* PACKAGE DPHIS !" 境界条件 GCM5(DPHIS)
*
*" [HIS] ???
*"       98/01/18(akahori) SETPHS: SMPACK-0.0 対応
*"       98/03/07(akahori) SETPHS: SMPACK-1.0 対応
*
**********************************************************************
      SUBROUTINE SETPHS  !" 境界条件（地形)の読み込み
     O         ( WPHIS  ,
     I           IT      )
*
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数，波数
      INCLUDE   (ZHDIM)                      !" 文字数
#else
#include        "zcdim.F"
#include        "zhdim.F"
#endif
*
*   [OUTPUT] 
      REAL       WPHIS ( NMDIM )             !" 地表Φ
*
*   [INPUT] 
      INTEGER    IT                          !" 時刻
*
*   [INTERNAL WORK] 
      COMMON    /COMWRK/
     &           GPHIS
      REAL       GPHIS ( IDIM, JDIM )        !" 地表Φ
*
      INTEGER    IFPAR, JFPAR
*
*   [INTERNAL PARM] 
      CHARACTER  HPHIS  *(NFILN)             !" 地表Φファイル
      DATA       HPHIS / ' ' /
      NAMELIST  /NMPHIS/ HPHIS
*
      LOGICAL    OFIRST
      DATA       OFIRST / .TRUE. /
      INTEGER    ITNPHI
      DATA       ITNPHI / -999 /
*
*   [ONCE] 
      IF ( OFIRST ) THEN
         OFIRST = .FALSE.
         CALL   REWNML ( IFPAR , JFPAR )
         READ   ( IFPAR, NMPHIS, END=1190 )
 1190    WRITE  ( JFPAR, NMPHIS )
      ENDIF
*
      IF ( IT .GE. ITNPHI ) THEN
*
*"         < 1.  地形標高Ｇ．Ｐ．の読み込み >
*
         CALL RDCON
     O         ( GPHIS , ITNPHI ,
     I           HPHIS , 'GPHIS', 0.    , 'ASFC'  , IT     )
*
*"         < 2. スペクトルに変換 >
*
         CALL DS1G2S  !" 動作未確認 (98/01/18 akahori)
     O         ( WPHIS ,
     I           GPHIS  )
*
      ENDIF
*
      RETURN
      END
